> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List File Shares

> Getting all your File Share entities as paginated response



## OpenAPI

````yaml /openapi.yaml get /file-shares
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /file-shares:
    get:
      tags:
        - File Share API
      summary: List File Shares
      description: Getting all your File Share entities as paginated response
      operationId: list-file-shares
      responses:
        '200':
          description: Paginated response with File Shares
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of File Share objects
                    items:
                      $ref: '#/components/schemas/FileShare'
                  first_page_url:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/file-shares?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: https://api.mijnklantportaal.nl/v1/file-shares?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/file-shares
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    FileShare:
      type: object
      description: File Share
      properties:
        id:
          type: string
          example: fss_abc12345678
          description: ID of the File Share, always starting with `fss_`.
        sharedWithCustomerId:
          type: string
          example: cst_abc12345678
          nullable: true
          description: ID of the customer this File Share is shared with, if any.
        sharedContent:
          type: array
          description: >-
            An array with File and Directory objects which are shared via this
            File Share.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: >-
            Date and time when the File Share was created. Written in ATOM
            format.
        links:
          type: object
          properties:
            customer:
              type: object
              nullable: true
              description: Only available if shared with a Customer
              properties:
                href:
                  type: string
                  description: Endpoint to the Get Customer API
                  example: >-
                    https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678
                type:
                  type: string
                  description: Type of the content the endpoint will return
            publicShare:
              type: object
              nullable: true
              description: Only available if shared via a public link
              properties:
                href:
                  type: string
                  description: Endpoint to the webpage with the files
                type:
                  type: string
                  description: Type of the content the endpoint will return
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````